## org.firebirdsql.pool
Interface PooledObjectListener

All Known Implementing Classes:
  AbstractConnectionPool, AbstractDriverConnectionPoolDataSource, AbstractFBConnectionPoolDataSource, BasicAbstractConnectionPool, DriverConnectionPoolDataSource, FBConnectionPoolDataSource

    public interface PooledObjectListener

Listener interface for object pools. Implementation of this interface can be registered to be notified about events that happen to pooled objects.

Author:
  Roman Rokytskyy

Method Summary
`void` `pooledObjectReleased(PooledObjectEvent event)` Notify that pooled object was released and can be returned back to the pool.

Method Detail

### pooledObjectReleased

    void pooledObjectReleased(PooledObjectEvent event)

  Notify that pooled object was released and can be returned back to the pool.

  Parameters:
    `event` - instance of `PooledObjectEvent`.

Copyright © 2001-2010. All Rights Reserved.